Rensei docs
API ReferenceAuthoring

Reject a proposal or apply one to an existing draft workflow.

Accept revalidates the typed candidate, vocabulary and current Cedar policy, then locks the proposal and draft workflow and commits the canvas, workflow version, proposal status and audit outbox intent transactionally. New workflows, agent-card acceptance, grouped workflows and partial acceptance are denied by default.

POST
/api/projects/{projectId}/authoring/proposals/{proposalId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

projectId*string
proposalId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
action*string
Value in"accept""reject"
expectedProposalVersion*integer
Range0 < value <= 9007199254740991
expectedCandidateDigest*string
Match^[a-f0-9]{64}$

Response Body

Proposal decision committed.

response?unknownapplication/json
Example Request
curl -X POST 'https://app.rensei.ai/api/projects/string/authoring/proposals/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "action": "accept",  "expectedProposalVersion": 1,  "expectedCandidateDigest": "string"}'
Example Response
null